/*
 Theme Name:   Invites theme
 Template:     hello-elementor
 Text Domain:  hello-elementor-child
*/

@import url("../hello-elementor/style.css");

header.site-header {
  position: sticky;
  top: 0;
  z-index: 999;
  background-color: var(--wp--preset--color--white);
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.site-navigation {
  flex-grow: 1;
}

.site-navigation ul.menu {
  width: 100%;
  justify-content: space-between;
}

.site-navigation ul.menu a:hover {
  text-decoration: underline;
}

@media screen and (max-width: 1024px) {
    .site-header .header-inner {
        max-width: 100%;
    }
}

.site-navigation-dropdown ul.menu li.current-menu-item a {
  background-color: var(--wp--preset--color--white);
  color: #55595c;
}

/* START Footer */

.footer-inner {
  border-top: 1px solid #eee;
  padding-top: 16px;
}

/* END Footer */

/* START Utilities */

.hidden {
  display: none !important;
}

/* END Utilities */

/* Timeline */

.timeline {
  max-width: 800px;
  margin: 0 auto;
  position: relative;
}

.timeline::before {
  content: "";
  position: absolute;
  left: 50%;
  top: 0;
  bottom: 0;
  width: 4px;
  background-color: var(--e-global-color-primary);
  transform: translateX(-50%);
}

.timeline__item {
  position: relative;
  width: calc(50% - 20px);
  background-color: var(--wp--preset--color--white);
  border-radius: 0 16px 16px 16px;
  padding: 1rem;
  margin: 2rem 0;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  opacity: 0;
  transform: translateY(30px);
  transition: all 1s ease-out 0.5s;
}

.timeline__item--left {
  left: 0;
  border-radius: 16px 0 16px 16px;

}

.timeline__item--right {
  margin-left: auto;
}

.timeline__item::before {
  content: "";
  position: absolute;
  top: 0;
  width: 16px;
  height: 16px;
  background-color: var(--e-global-color-primary);
  border: 2px solid var(--e-global-color-primary);
  border-radius: 50%;
  z-index: 1;
}

.timeline__item--left::before {
  right: -28px;
}

.timeline__item--right::before {
  left: -28px;
}

.timeline__time {
  margin-bottom: 0.25rem;
  color: var(--e-global-color-secondary);
  font-size: 1.75rem;
  font-weight: 500;
}

.timeline__title {
  font-size: 1.1rem;
  margin-bottom: 0.25rem;
}

.timeline__description {
  font-size: 0.95rem;
}

.timeline__address {
  font-size: 0.85rem;
  color: var(--e-global-color-text);
  margin-top: 0.25rem;
  font-style: italic;
}

.timeline__item--visible {
  opacity: 1;
  transform: translateY(0);
}

@media screen and (max-width: 768px) {
  .timeline__item,
  .timeline__item--left,
  .timeline__item--right {
    width: calc(100% - 60px);
    left: 40px !important;
    margin-left: 0;
  }

  .timeline::before {
    left: 20px;
    transform: none;
  }

  .timeline__item::before,
  .timeline__item--left::before,
  .timeline__item--right::before {
    left: -26px;
    right: auto;
  }

  .timeline__item--left {
    border-radius: 0 16px 16px 16px;
  }
}

/* END Timeline */

/* Countdown */

.countdown {
  font-family: inherit;
  background-color: var(--wp--preset--color--white);
  color: var(--e-global-color-text);
  border-radius: 12px;
  text-align: center;
  margin: 2rem auto;
}

.countdown__time {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 1rem;
}

.countdown__block {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.countdown__column {
  display: flex;
  flex-direction: column;
  row-gap: 20px;
}

.countdown__unit {
  width: 70px;
  height: 70px;
  line-height: 70px;
  border-radius: 50%;
  background-color: var(--e-global-color-secondary);
  color: var(--wp--preset--color--white);
  font-family: var(--e-global-typography-accent-font-family);
  font-size: 2rem;
}

@media screen and (min-width: 768px) {
  .countdown__time {
    gap: 2rem;
  }

  .countdown__unit {
    width: 100px;
    height: 100px;
    line-height: 100px;
    font-size: 3rem;
  }
}

/* END Countdown */

/* Buttons */

.buttton--add-to-calendar svg {
  fill: var(--e-global-color-primary);
}

.buttton--add-to-calendar:hover svg,
.buttton--add-to-calendar:focus svg {
  fill: var(--wp--preset--color--white);
}

/* END Buttons */

/* Custom gallery */

/* .gallery-container > div {
    filter: grayscale(80%);
    transition: all 2s ease-in-out;
}

.gallery-container > div:hover {
    filter: grayscale(0%);
} */

/* END Custom gallery */

/* Default elementor gallery */

body .gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  border-radius: 8px;
  overflow: hidden;
}

body .elementor-image-gallery .gallery.gallery-columns-3 .gallery-item {
  max-width: 100%;
}

.gallery-icon,
.gallery-icon a,
.gallery-icon img {
  height: 100%;
}

.gallery-icon img {
  object-fit: cover;
}

/* END Default elementor gallery */

/* Gifts */

.gift-claimed {
  text-decoration: line-through;
}

.post-type-archive-gift #content {
  margin: 0 auto;
  padding: 60px 20px;
  max-width: 1140px;
  width: 100%;
}

.post-type-archive-gift .archive-title {
  margin-bottom: 40px;
}

.list--gifts {
  list-style-type: none;
  padding-left: 0;
}

.list--gifts li div {
  display: inline-block;
  padding: 6px 12px;
  border-radius: 8px;
  background-color: #CAD2C5;
  margin-bottom: 10px;
}

@media screen and (max-width: 767px) {
  .list--gifts li div {
    width: 100%;
  }
}

.list--gifts .gift--claimed div {
  background-color: #d1aeab;
}

.list--gifts a {
  color: inherit;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 6px;
  transition: all .3s;
}

.list--gifts a:hover {
  text-decoration: none;
  gap: 10px;
}

.icon-arrow {
  width: 12px;
  fill: #333;
}

@media screen and (min-width: 768px) {
  .list--gifts {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 10px;
  }
}

@media screen and (min-width: 1024px) {
  .list--gifts {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* END Gifts */

/* Forms */

.form,
.form__fields {
  display: grid;
  column-gap: 20px;
  row-gap: 20px;
}

.form__fields,
.form__title,
.form__submit {
  grid-column: 1 / -1;
}

.form label {
  margin-bottom: 8px;
}

.form__title {
  margin-top: 30px;
  margin-bottom: 8px;
}

.form__submit input {
  border-color: var(--e-global-color-primary);
}

@media screen and (min-width: 768px) {
  .form--rsvp,
  .form__fields {
    grid-template-columns: repeat(2, 1fr);
  }
}

input[type="text"],
input[type="date"],
input[type="email"],
input[type="number"],
input[type="password"],
input[type="search"],
input[type="tel"],
input[type="url"],
select,
textarea {
    padding: 8px;
    border-radius: 8px;
    background-color: var(--wp--preset--color--white);
    color: var(--wp--preset--color--black);
    height: 42px;
}

.form__confirmation {
  text-align: center;
  font-size: 1.5rem;
}

/* END Forms */

